Bug 1121545 - [Doc Feature] Undeployment by removing exploded WAR is not supported
Summary: [Doc Feature] Undeployment by removing exploded WAR is not supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER3
: EAP 6.4.0
Assignee: Russell Dickenson
QA Contact: Martin Velas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 07:59 UTC by Martin Velas
Modified: 2015-07-13 04:17 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 17-07-2014 23:26:30 Topic ID: 5286-591694 [Specified]
Last Closed: 2015-04-17 06:12:23 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Martin Velas 2014-07-21 07:59:48 UTC
Title: Undeploy an Application to a Standalone Server Instance with the Deployment Scanner

Describe the issue:
The steps of Procedure 10.8-B "Undeploy by removing the application" are not valid for the exploded WAR deployment. For this type of the deployment, the marker file must be deleted manually as is described in 10.8-A step "Undeploy by deleting the marker file".

Suggestions for improvement:
Add the information that this way of undeployment is not valid for exploded WAR archive and the user should use the "Undeploy by deleting the marker file".

Additional information:
Server response for the exploded WAR removal:
09:51:22,008 WARN  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 2) JBAS015006: The deployment scanner found that the content for exploded deployment Transactions.war has been deleted, but auto-deploy/undeploy for exploded deployments is not enabled and the Transactions.war.deployed marker file for this deployment has not been removed. As a result, the deployment is not being undeployed, but resources needed by the deployment may have been deleted and application errors may occur. Deleting the Transactions.war.deployed marker file to trigger undeploy is recommended.

Comment 4 Martin Velas 2015-03-05 08:17:40 UTC
Verified for revision 6.4.0-15.


Note You need to log in before you can comment on or make changes to this bug.